#!/usr/bin/env python3


from math import *
import numpy as np

def rotation_matrix(omega):
    return np.array([[cos(omega), -sin(omega)],[sin(omega), cos(omega)]])

def stretch_matrix(s, d):
    a = np.zeros((d,d), dtype=float)
    np.fill_diagonal(a, s)
    return a

def compose(*matrices):
    if not matrices:
        raise Exception("Expected at least one Matrix")
    size1 = matrices[0].shape[0]
    mat = np.zeros((size1, size1), dtype=float)
    np.fill_diagonal(mat, 1)
    for i in matrices:
        mat = np.dot(mat, i)
    return mat


def main():
    # Hier kann beliebiger Testcode stehen, der bei der Korrektur ignoriert wird
    pass


if __name__ == "__main__": main()
